#
# Conditional build:
%bcond_without	qt5	# Qt5 Phonon (Phonon4Qt5) backend
%bcond_without	qt6	# Qt6 Phonon (Phonon4Qt6) backend

%define		phonon_ver	4.12.0
%define		qt5_ver		5.15.0
%define		qt6_ver		6.6.1
%define		vlc_ver		3.0.0

Summary:	VLC backend for Qt5 Phonon
Summary(pl.UTF-8):	Wtyczka VLC dla Phonona opartego na Qt5
Name:		phonon-qt5-backend-vlc
Version:	0.12.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/phonon/phonon-backend-vlc/%{version}/phonon-backend-vlc-%{version}.tar.xz
# Source0-md5:	2a27b5d249f97a15040481008fb16e1b
URL:		https://userbase.kde.org/Phonon
BuildRequires:	cmake >= 3.5
BuildRequires:	kf5-extra-cmake-modules >= 5.90
BuildRequires:	vlc-devel >= %{vlc_ver}
BuildRequires:	rpmbuild(macros) >= 1.605
%if %{with qt5}
BuildRequires:	Qt5Core-devel >= %{qt5_ver}
BuildRequires:	Qt5Widgets-devel >= %{qt5_ver}
BuildRequires:	phonon-qt5-devel >= %{phonon_ver}
BuildRequires:	qt5-build >= %{qt5_ver}
BuildRequires:	qt5-linguist >= %{qt5_ver}
BuildRequires:	qt5-qmake >= %{qt5_ver}
%endif
%if %{with qt6}
BuildRequires:	Qt6Core-devel >= %{qt6_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt6_ver}
BuildRequires:	phonon-qt6-devel >= %{phonon_ver}
BuildRequires:	qt6-build >= %{qt6_ver}
BuildRequires:	qt6-linguist >= %{qt6_ver}
%endif
Requires:	Qt5Core >= %{qt5_ver}
Requires:	Qt5Widgets >= %{qt5_ver}
Requires:	phonon-qt5 >= %{phonon_ver}
Requires:	vlc >= %{vlc_ver}
Provides:	qt5-phonon-backend = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VLC backend for Qt5 Phonon.

%description -l pl.UTF-8
Wtyczka VLC dla Phonona opartego na Qt5.

%package -n phonon-qt6-backend-vlc
Summary:	VLC backend for Qt6 Phonon
Summary(pl.UTF-8):	Wtyczka VLC dla Phonona opartego na Qt6
Group:		Libraries
Requires:	Qt6Core >= %{qt6_ver}
Requires:	Qt6Widgets >= %{qt6_ver}
Requires:	phonon-qt6 >= %{phonon_ver}
Requires:	vlc >= %{vlc_ver}
Provides:	phonon-qt6-backend = %{version}

%description -n phonon-qt6-backend-vlc
VLC backend for Qt6 Phonon.

%description -n phonon-qt6-backend-vlc -l pl.UTF-8
Wtyczka VLC dla Phonona opartego na Qt6.

%prep
%setup -q -n phonon-backend-vlc-%{version}

%build
%if %{with qt5}
install -d build-qt5
cd build-qt5
%cmake .. \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DPHONON_BUILD_QT6=OFF

%{__make}
cd ..
%endif

%if %{with qt6}
install -d build-qt6
cd build-qt6
%cmake .. \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DPHONON_BUILD_QT5=OFF

%{__make}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with qt5}
%{__make} -C build-qt5 install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with qt6}
%{__make} -C build-qt6 install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%find_lang phonon_vlc_qt --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with qt5}
%files -f phonon_vlc_qt.lang
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/qt5/plugins/phonon4qt5_backend/phonon_vlc_qt5.so
%endif

%if %{with qt6}
%files -n phonon-qt6-backend-vlc -f phonon_vlc_qt.lang
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/qt6/plugins/phonon4qt6_backend/phonon_vlc_qt6.so
%endif
%changelog
* Tue Jun 10 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/phonon-qt5-backend-vlc.git;a=log;h=master

* Tue Jun 10 2025 Jakub Bogusz <qboosh@pld-linux.org> 7f7f009
- phonon-backend-vlc.spec updated to 0.12.0 for phonon 4.12.0+ and qt5/qt6

* Tue Jun 10 2025 Jakub Bogusz <qboosh@pld-linux.org> 899bb7c
- updated to 0.10.3; not ready for phonon 4.11+

* Sat Oct 12 2019 Jan Rękorajski <baggins@pld-linux.org> e4080fc
- release 2 (by relup.sh)

* Sun Feb 11 2018 Jan Rękorajski <baggins@pld-linux.org> cdc4fc8
- up to 0.9.1

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> b128acc
- updated source URL

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 30e7d15
- build also phonon4qt5 backend; release 3

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 7bb991b
- updated dependencies

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> bd6a4c3
- release 2 (by relup.sh)

* Tue Mar 17 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a5faab1
- up to 0.8.2

* Tue Mar 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b1bc77
- rel 2

* Tue Feb 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fd1ec9
- up to 0.8.1

* Thu Oct 24 2013 Jan Rękorajski <baggins@pld-linux.org> 5ca0df1
- release 2 (by relup.sh)

* Sun Feb 17 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1693b7b
- up to 0.6.2

* Wed Feb 08 2012 blekot <blekot@pld-linux.org> 6788d12
- added phonon-backend-vlc-FindPhonon.cmake.patch
- up to 0.4.1

* Wed Feb 08 2012 blekot <blekot@pld-linux.org> 31a8f60
- new, taken from repository
- fix linking problems

* Thu Apr 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d22a3c4
- up to 0.4.0

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> 8da16c4
- P: qt4-phonon-backend = %{version}
= adjusted to new cmake macro

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> 51b68df
- up to 0.3.2

* Sat Jul 24 2010 shadzik <shadzik@pld-linux.org> fd28e43
- Source0

* Sat Jul 24 2010 shadzik <shadzik@pld-linux.org> 9a2990e
- init

